Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155039 - GUI should do something graceful if config to open is invalid
Summary: GUI should do something graceful if config to open is invalid
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-15 20:00 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-29 20:49:00 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-15 20:00:09 UTC
Description of problem:
I added some garbage to my config and then tried to open it with the GUI and it
just backtraced and died.

[root@tank-03 ~]# system-config-cluster
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 316, in on_no_conf_open
    self.open_limited(None)
  File "/usr/sbin/system-config-cluster", line 229, in open_limited
    self.model_builder = ModelBuilder(DLM_TYPE, filepath)
  File "/usr/share/system-config-cluster/ModelBuilder.py", line 114, in __init__
    self.parent = minidom.parse(self.filename)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/minidom.py", line 1908, in
parse
    return expatbuilder.parse(file)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/expatbuilder.py", line
924, in parse
    result = builder.parseFile(fp)
  File "/usr/lib/python2.3/site-packages/_xmlplus/dom/expatbuilder.py", line
207, in parseFile
    parser.Parse(buffer, 0)
xml.parsers.expat.ExpatError: not well-formed (invalid token): line 2, column 1
Traceback (most recent call last):
  File "/usr/sbin/system-config-cluster", line 428, in ?
    runFullGUI()
  File "/usr/sbin/system-config-cluster", line 411, in runFullGUI
    baseapp = basecluster(glade_xml, app)
  File "/usr/sbin/system-config-cluster", line 129, in __init__
    self.configtab = ConfigTab(glade_xml, self.model_builder)
  File "/usr/share/system-config-cluster/ConfigTab.py", line 78, in __init__
    self.reset_tree_model)
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 132, in
__init__
    self.faildom_controller =
FaildomController(self.glade_xml,self.model_builder,reset_tree_model)
  File "/usr/share/system-config-cluster/FaildomController.py", line 27, in __init__
    self.faildoms = self.model_builder.getFailoverDomainPtr()
AttributeError: 'NoneType' object has no attribute 'getFailoverDomainPtr'


Version-Release number of selected component (if applicable):
system-config-cluster-0.9.33-1.0.noarch.rpm

Comment 1 Jim Parsons 2005-04-29 17:31:50 UTC
Addressed in 0.9.43

Comment 2 Corey Marthaler 2005-04-29 20:49:00 UTC
fix verified in -44.


Note You need to log in before you can comment on or make changes to this bug.